# Uses of Class
io.dapr.exceptions.DaprErrorDetails

Packages that use DaprErrorDetails
Package
Description
io.dapr.exceptions

## Uses of DaprErrorDetails in io.dapr.exceptions

Methods in io.dapr.exceptions that return DaprErrorDetails
Modifier and Type
Method
Description
`DaprErrorDetails`
DaprException.`getErrorDetails()`
Returns the exception's error details.
Constructors in io.dapr.exceptions with parameters of type DaprErrorDetails
Modifier
Constructor
Description
``
`DaprException(String errorCode, String message, DaprErrorDetails errorDetails, byte[] payload)`
New Exception from a client-side generated error code and message.
``
`DaprException(String errorCode, String message, DaprErrorDetails errorDetails, byte[] payload, int httpStatusCode)`
New Exception from a client-side generated error code and message.
``
`DaprException(String errorCode, String message, Throwable cause, DaprErrorDetails errorDetails, byte[] payload)`
New exception from a server-side generated error code and message.